local lib = require("lib")

local map = {
-- y 1 2 3 4 5 6 7
    {0,0,0,0,1,0,0},    -- x = 1
    {0,1,1,1,1,0,0},    -- x = 2
    {0,0,0,0,1,0,0},    -- x = 3
    {0,0,0,0,0,0,0},    -- x = 4
}

-- map [y][x]
local width = #map
local height = #map[1]
local start = { x = 1, y = 4 }
local goal = { x = 1, y = 7 }
local function isPositionOpenfunc(x, y)
    --print("requesting", x, y)
    return map[x][y] == 0
end

local path = lib:find(width, height, start, goal, isPositionOpenfunc)

if path then
    for i, p in ipairs(path) do
        --print(i, p.x, p.y, "<", p.parent.x, p.parent.y)
        print(i, p.x, p.y)
    end
else
    print("no path found")
end
